#!/bin/sh

set -o errexit
set -o pipefail
set -o nounset

NAS_USER="fwtest"

FW_USER="fwtest"

TEST_CMD="/bin/true" # actually, a good choice, because we'll receive non-0 status code anyway if anything fails

/usr/bin/ssh -o IdentityFile="~${FW_USER}/.ssh/id_rsa" -o ConnectTimeout=5 -l "${NAS_USER}" "${HOST_AMANOJAKU}" \
    /usr/bin/ssh -l "${FW_USER}" "${HOST_KASHA}" ${TEST_CMD}

exit $?

